Subject: bug#20821: 24.5; ido-mode autocompletion failure aborts find-file when attempting to use tramp

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Dec 2015 14:28:31 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 12 Dec 2015 13:03:00 +0100
> 
> >> ido-file-name-all-completions-1: Opening directory: no such file or
> >> directory, c:/plinkx:db48x@
> >
> > What is 'plinkx'?  The program's name is plink, AFAIK.
> 
> "plinkx" is a special Tramp method, which uses PuTTY session names
> instead of host names. See (info "(tramp) Inline methods")

Ah, okay.

So I've just did this in the current emacs-25 branch:

 emacs -Q
 M-x ido-mode RET
 C-x C-f /plinkx:eliz@

and sure enough, I get the same error as the OP (except in my case the
drive letter is 'd:').

Looks like ido.el assumes something about file-name-all-completions
that isn't happening on MS-Windows.  What do you get when you invoke

  (file-name-all-completions "" "/plinkx:eliz@")

?  Or does ido.el never invoke this in ido-file-name-all-completions-1
on Unix?

Let me know what other information I can provide.